/* Global */
.contact-page__container {
  background-color: var(--surface-page);
}

/* Hero Section */

section.hero {
  background-color: var(--alias-primary-600);
  padding-block: var(--spacing-6xl);
  overflow: hidden;
  position: relative;
  height: 376px;
}

@media (max-width: 1144px) {
  section.hero {
    height: 600px;
  }
}

@media (max-width: 767px) {
  section.hero {
    height: 328px;
  }
}


.hero__bg {
  position: absolute;
  inset: 0;
  z-index: 0;
  width: 100%;
  height: 100%;
}

.hero__bg img {
  width: 100%;
  height: 100%;
}


.hero__container {
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  z-index: 1;
  height: 100%;
}


.hero__content {
  width: 100%;
}


/* Catch Section */

section.catch {
  background-color: var(--surface-page);
}


.catch__container {
  gap: var(--spacing-6xl);
}

@media (max-width: 1144px) {
  .catch__container {
    gap: var(--spacing-xl);
  }
}


.catch__content {
  display: flex;
  flex-direction: column;
  gap: var(--spacing-2xl);
}


.catch__form {
  max-width: 528px;
  flex-shrink: 0;
  width: 100%;
}

@media (max-width: 1144px) {
  .catch__form {
      max-width: none;
  }
}


/* Brands Section */

section.brands {
  background-color: var(--surface-primary);
  border-top-left-radius: var(--desktop-section-border-radius);
  border-bottom-right-radius: var(--desktop-section-border-radius);
  position: relative;
  z-index: 1;
}

@media (max-width: 767px) {
  section.brands {
    border-top-left-radius: var(--mobile-section-border-radius);
    border-bottom-right-radius: var(--mobile-section-border-radius);
  }
}


.brands__container {
  gap: var(--spacing-5xl);
}

@media (max-width: 767px) {
  .brands__container {
    gap: var(--spacing-xl);
  }
}


.brands__content-bottom {
  background-color: color-mix(in srgb, var(--brand-royal-50) 30%, transparent);
  box-shadow: 0 0 10px 0 var(--alias-tertiary-default);
  gap: var(--spacing-5xl);
  padding: var(--spacing-5xl) var(--spacing-6xl);

  border-top-left-radius: var(--desktop-section-border-radius);
  border-bottom-right-radius: var(--desktop-section-border-radius);
}

@media (max-width: 767px) {
  .brands__content-bottom {
    gap: var(--spacing-xl);
    padding: var(--spacing-lg) var(--spacing-md);
    border-top-left-radius: var(--mobile-section-border-radius);
    border-bottom-right-radius: var(--mobile-section-border-radius);
  }
}


/* FAQ Section */

section.faq {
  --min-height-faq: 400px;
  position: relative;
  overflow: hidden;
  min-height: var(--min-height-faq);
}


.faq__container {
  gap: var(--spacing-5xl);
  position: relative;
  z-index: 1;
}

@media (max-width: 767px) {
  .faq__container {
    gap: var(--spacing-2xl);
  }
}


.faq__container .headline {
  width: min-content;
}

@media (max-width: 767px) {
  .faq__container .headline {
    width: 100%;
    text-align: center;
  }
}

.faq__content {
  flex: 1;
}



/* Outro Section */

section.outro {
  background-color: var(--surface-information);
  position: relative;
  overflow: hidden;
}


.outro__container {
  position: relative;
  z-index: 1;